fop 1.1

## org.apache.fop.fo.properties
Class URIProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.URIProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  URIProperty

    public static class URIProperty.Maker

extends PropertyMaker

Inner `PropertyMaker` subclass responsible for making instances of this type.

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`URIProperty.Maker(int propId)` Create a maker for the given property id

Method Summary
`Property` `make(PropertyList propertyList, java.lang.String value, FObj fo)` Create a Property object from an attribute specification.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIProperty.Maker

    public URIProperty.Maker(int propId)

  Create a maker for the given property id

  Parameters:
    `propId` - the id of the property for which a Maker should be created

Method Detail

### make

    public Property make(PropertyList propertyList,
                         java.lang.String value,
                         FObj fo)
                  throws PropertyException

  Create a Property object from an attribute specification. Check if `xml:base` has been specified and whether the given `value` represents a relative URI. If so, create a property representing the resolved URI.

  Overrides:
    `make` in class `PropertyMaker`
  Parameters:
    `propertyList` - The PropertyList object being built for this FO.
    `value` - The attribute value.
    `fo` - The parent FO for the FO whose property is being made.
  Returns:
    The initialized Property object.
  Throws:
    `PropertyException` - for invalid or inconsistent FO input

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.